import { Client, ClientOptions } from 'minio';
import { config } from './config.ts';
const minioConfig = {
  endPoint: config.MINIO_ENDPOINT || 'localhost',
  port: parseInt(config.MINIO_PORT || '9000'),
  useSSL: config.MINIO_USE_SSL === 'true',
  accessKey: config.MINIO_ACCESS_KEY,
  secretKey: config.MINIO_SECRET_KEY,
};
// console.log('minioConfig', minioConfig);
export const minioClient = new Client(minioConfig);

export const bucketName = config.MINIO_BUCKET_NAME || 'resources';
if (!minioClient) {
  throw new Error('Minio client not initialized');
}
// 验证权限
(async () => {
  const bucketExists = await minioClient.bucketExists(bucketName);
  if (!bucketExists) {
    await minioClient.makeBucket(bucketName);
  }
  console.log('bucketExists', bucketExists);
  // const res = await minioClient.putObject(bucketName, 'root/test/0.0.1/a.txt', 'test');
  // console.log('minio putObject', res);
})();
